MOUNT_NTFS(8)

NAME
mount_ntfs - mount an NTFS file system

SYNOPSIS
mount_ntfs [-a] [-i] [-u user] [-g group] [-m mask] [-C charset] [-W u2wtable] special node

DESCRIPTION
The mount_ntfs utility attaches the NTFS file system residing on the device special to the global file system namespace at the location indicated by node. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an NTFS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

-a  Force behaviour to return MS-DOS 8.3 names also on readdir().

-i  Make name lookup case insensitive for all names except POSIX names.

-u user
    Set the owner of the files in the file system to user. The default owner is the owner of the directory on which the file system is being mounted.

-g group
    Set the group of the files in the file system to group. The default group is the group of the directory on which the file system is being mounted.

-m mask
    Specify the maximum file permissions for files in the file system. Only the nine low-order bits of mask are used.

-C charset
    Specify local charset to convert Unicode file names. Currently only reading is supported, thus the file system is to be mounted read-only.

-W u2wtable
    Specify UNIX to Unicode translation table. See mount_msdosfs(8) for the description of this option. This option is preserved for backward compatibility purpose only, and will be removed in the future. Please do not use this option.

FEATURES
NTFS file attributes are accessed in following way:

    foo[[:ATTRTYPE]:ATTRNAME]

‘ATTRTYPE’ is one of the identifiers listed in $AttrDef file of volume. Default is $DATA. ‘ATTRNAME’ is an attribute name. Default is none.

EXAMPLES
To mount an NTFS volume located in /dev/ad1s1:

    mount_ntfs /dev/ad1s1 /mnt

To get the volume name (in Unicode):

    cat /mnt/\$Volume:\$VOLUME_NAME

To read directory raw data:

    cat /mnt/foodir:\$INDEX_ROOT:\$I30

To mount a Japanese NTFS volume located in /dev/ad0s1:

    mount_ntfs -C eucJP /dev/ad0s1 /mnt

WRITING
There is limited writing ability. Limitations: file must be nonresident and must not contain any sparces (uninitialized areas); compressed files are also not supported. The file name must not contain multibyte characters.

SEE ALSO
mount(2), unmount(2), fstab(5), mount(8), mount_msdosfs(8)

CAVEATS
This utility is primarily used for read access to an NTFS volume. See the WRITING section for details about writing to an NTFS volume.

For a full read-write NTFS support consider sysutils/fusefs-ntfs port/package.

HISTORY
The mount_ntfs utility first appeared in FreeBSD 3.0.

The Unicode conversion routine was added by Ryuichiro Imura <imura@ryu16.org> in 2003.

AUTHORS
The NTFS kernel implementation, mount_ntfs utility, and manual were written by Semen Ustimenko <semenu@FreeBSD.org>.